//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SYM.DataAccessLayer
{
    using System;
    using System.Collections.Generic;
    
    public partial class route
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public route()
        {
            this.route_webinfo = new HashSet<route_webinfo>();
            this.route_image = new HashSet<route_image>();
            this.route_location = new HashSet<route_location>();
            this.route_translate = new HashSet<route_translate>();
            this.user_wishlist = new HashSet<user_wishlist>();
        }
    
        public int id { get; set; }
        public string route_name { get; set; }
        public string route_title { get; set; }
        public string route_area { get; set; }
        public Nullable<int> activity_id { get; set; }
        public Nullable<int> activityExt_id { get; set; }
        public Nullable<int> city_id { get; set; }
        public int region_id { get; set; }
        public int country_id { get; set; }
        public Nullable<int> mountain_id { get; set; }
        public Nullable<int> mntnGroup_id { get; set; }
        public Nullable<int> mntnRange_id { get; set; }
        public Nullable<int> valley_id { get; set; }
        public string route_facing { get; set; }
        public Nullable<int> route_length { get; set; }
        public string route_lengthDescr { get; set; }
        public Nullable<short> route_altitude { get; set; }
        public Nullable<short> route_height { get; set; }
        public Nullable<short> route_approachAltitude { get; set; }
        public Nullable<short> route_approachHeight { get; set; }
        public Nullable<short> route_approachLength { get; set; }
        public string difficulty_grade { get; set; }
        public Nullable<float> route_lat { get; set; }
        public Nullable<float> route_lng { get; set; }
        public Nullable<short> route_pitchAsc { get; set; }
        public Nullable<short> route_pitchDesc { get; set; }
        public Nullable<int> user_id { get; set; }
        public Nullable<bool> route_status { get; set; }
        public System.DateTime route_dateIns { get; set; }
        public Nullable<System.DateTime> route_dateMod { get; set; }
        public Nullable<System.DateTime> route_firstAscDate { get; set; }
        public string route_firstAscClimbers { get; set; }
        public Nullable<int> parking_id { get; set; }
        public Nullable<int> trackgps_id { get; set; }
        public Nullable<short> route_ranking { get; set; }
    
        public virtual act_activity act_activity { get; set; }
        public virtual geo_city geo_city { get; set; }
        public virtual geo_country geo_country { get; set; }
        public virtual geo_region geo_region { get; set; }
        public virtual mntn_mountaingroup mntn_mountaingroup { get; set; }
        public virtual mntn_mountainrange mntn_mountainrange { get; set; }
        public virtual mountain mountain { get; set; }
        public virtual parking parking { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<route_webinfo> route_webinfo { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<route_image> route_image { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<route_location> route_location { get; set; }
        public virtual trackgps trackgps { get; set; }
        public virtual valley valley { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<route_translate> route_translate { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<user_wishlist> user_wishlist { get; set; }
    }
}
